DRUMSTICK-PLAYSMF(1)

NAME
drumstick-playsmf - A Drumstick command line utility for playing standard MIDI files.

SYNOPSIS

drumstick-playsmf [options] {FILE}

DESCRIPTION

This program is a Drumstick example and utility program. You can use it to play standard MIDI files without GUI controls.

ARGUMENTS

The following arguments are required:

-p|--port= client:port
    An ALSA client:port specification that will be subscribed in order to send MIDI events to it. The client portion can be a number or a name, like in "20:0" or "KMidimon:0".

FILE
    The name of the input SMF.

The following arguments are optional:

-h|--help
    Prints a summary of the command-line options and exit.

-v|--version
    Prints the program version number and exit.

LICENSE

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 or any later version published by the Free Software Foundation, considering as source code any files used for the production of this manpage.

SEE ALSO

drumstick-dumpmid(1), drumstick-guiplayer(1)

AUTHOR

Pedro Lopez-Cabanillas <plcl@users.sf.net>

COPYRIGHT
Copyright © 2010-2024 Pedro Lopez-Cabanillas